import { QueryParamDef } from './QueryParamDef';
export declare type ParamDefType = 'boolean' | 'array' | 'number' | 'string' | 'object';
export declare type QueryParamParams<QueryParams = any> = {
    queryKey: keyof QueryParams & string;
    path?: string;
    type?: ParamDefType;
    strategy?: 'modelToUrl' | 'twoWay';
    parser?: (value: string) => any;
    serializer?: (value: unknown) => string;
};
export interface BindQueryParamsOptions {
    windowRef: Window;
}
export interface ResolveParamsOption<T = any> {
    def: QueryParamDef<T>;
    value: any;
}
